=== test/multiconvolution/CMakeLists.txt ===
VIGRA_ADD_TEST(test_multiconvolution test.cxx)

VIGRA_ADD_TEST(test_multiconvolution_speed speedtest.cxx)
