=== test/sifImport/CMakeLists.txt ===
VIGRA_ADD_TEST(test_sifImport test.cxx LIBRARIES vigraimpex)
VIGRA_COPY_TEST_DATA(testSif_4_16_30001.sif testSif_4_13_30000.sif)
