=== debian/changelog ===
libvigraimpex (1.7.1+dfsg1-3) unstable; urgency=low

  * QA upload
  * Fix build failure with GCC 4.7. Closes: #667258.
  * Build-depend on libpng-dev. Closes: #662414.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Apr 2012 23:06:00 +0200

libvigraimpex (1.7.1+dfsg1-2) unstable; urgency=low

  * QA upload
  * Patch libpng15: Fix FTBFS with libpng 1.5 (closes: #636003). Thanks to
    Nobuhiro Iwamatsu and Joachim Schleicher for forwarding and testing
    the patch.
  * Replace build-dependency on libpng12-dev by libpng-dev | libpng12-dev
    in order to ease the upcoming libpng transition.
  * Fix FTBFS on sh4 architecture by using -mieee flag (closes: #633818).
    Thanks to Nobuhiro Iwamatsu for the patch!

 -- Ralf Treinen <treinen@debian.org>  Thu, 04 Aug 2011 13:57:08 +0200

libvigraimpex (1.7.1+dfsg1-1) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group.
  * Demote Recommends of the documentation packages to Suggests.
  * Drop fix-tinyvectortest.diff, no longer needed.
  * Drop Vcs-* fields.
  * Strip jQuery code from .orig.tar.gz, as we don't have source for it.
    + Update debian/get-orig-source.sh, debian/rules, debian/watch.
    + Update debian/copyright.
  * Overhaul debian/rules. Stop using dh.
  * Use dh_sphinxdoc:
    + Update debian/control to use ${sphinxdoc:Depends} instead of hardcoded
      libjs-jquery.
    + Call it in debian/rules if it's installed. Otherwise, generate substvars
      manually.
  * Add missing build-dependency on python-support.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 12 Jul 2011 19:34:24 +0200

libvigraimpex (1.7.1+dfsg-8) unstable; urgency=low

  * Unbreak fix-tinyvectortest.diff.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 25 May 2011 01:21:31 +0200

libvigraimpex (1.7.1+dfsg-7) unstable; urgency=low

  * To fix FTBFS on s390, rewrite a loop in TinyVectorTest::equalIter(), so
    that it doesn't trigger bug in GCC 4.6 (see Debian bug #627795).
    [fix-tinyvectortest.diff]

 -- Jakub Wilk <jwilk@debian.org>  Tue, 24 May 2011 22:09:12 +0200

libvigraimpex (1.7.1+dfsg-6) unstable; urgency=low

  * To fix FTBFS on powerpc with GCC 4.6, use epsilon comparison in
    ConvolutionTest::recursiveFilterTestFromRepeatWithAvoid. Thanks to Stefano
    Rivera for debugging and for the patch. [fix-convolutiontest.diff]
  * Allow libvigraimpex-dev to be co-installable with over providers of
    libhdf5-dev than libhdf5-serial-dev (closes: #627421). Thanks to Laurent
    Bonnaud for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 20 May 2011 20:24:30 +0200

libvigraimpex (1.7.1+dfsg-5) unstable; urgency=low

  * Use default Python version when building documentation.
  * Update docsrc-doxygen-1.7.diff to deal with the latest Doxygen.
  * Remove unused jquery.js from libvigraimpex-doc.
  * Add a missing include to fix FTBFS with GCC 4.6 (closes: #625104). Thanks
    to Lucas Nussbaum for the bug report. [fix-ftbfs-gcc4.6.diff]
  * Bump standards version to 3.9.2 (no changes needed).
  * Mark more symbols as optional.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 02 May 2011 19:47:58 +0200

libvigraimpex (1.7.1+dfsg-4) unstable; urgency=low

  * Preserve symlinks when copying object files from one build directory to
    another (closes: #618667).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 20 Mar 2011 15:50:05 +0100

libvigraimpex (1.7.1+dfsg-3) unstable; urgency=low

  * Update the symbols file.
  * On buildds, artificially limit paralellism in order not to run out of RAM.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 15 Mar 2011 15:14:04 +0100

libvigraimpex (1.7.1+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Fix patch headers to be in line with DEP-3.
  * Update the symbols file.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 12 Mar 2011 20:29:34 +0100

libvigraimpex (1.7.1+dfsg-1) experimental; urgency=low

  * New upstream release.
    + Drop numpy-double-longdouble.diff, applied upstream.
    + Drop noise-normalization-invariant.diff, applied upstream.
    + Update debian/copyright.
    + Rename libvigraimpex2 to libvigraimpex3, following SONAME bump.
    + Update the symbols file.
    + Include the vigra-config script.
      + Patch it to return correct documentation path.
        [vigra-config-docdir.diff]
      + Update debian/NEWS.
      + Provide a new manual page.
  * Update patch headers.
  * Export LDFLAGS.
  * Remove Win32-only files and pre-built documentation from the .orig
    tarball to save some space.
  * Respect DEB_BUILD_OPTIONS=parallel=N.
  * Respect DEB_BUILD_OPTIONS=noopt.
  * Rename some private variables in debian/rules to make them lowercase.
  * Require that Numpy is usable with every supported Python version.
  * Avoid using SONAMEs in Python extension modules.
  * Convert debian/copyright to the latest DEP-5 version.
  * Install symlinks from /usr/share/doc/libvigraimpex-dev/html to
    /usr/share/doc/libvigraimpex-doc/html.
  * Install symlinks from /usr/share/doc/python-vigra/{html,rst} to
    /usr/share/doc/python-vigra-doc/{html,rst}.
  * Build Python extensions with -fno-strict-aliasing.
  * Remove ‘debian/tmp’ prefix from debian/*.install files.
  * Provide ‘build-arch’ and ‘build-indep’ targets in debian/rules.
  * Use an alternative dependency template in the symbols file to make sure
    that a strict versioned dependency on the shared library will be generated
    for packages using optional (private) symbols.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 20 Feb 2011 23:21:40 +0100
